Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
admin/surveylist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZSurveyMain", "Language" )
| $t
| $surveyListLimit = $ini->variable( "eZSurveyMain", "SurveyListLimit" )
| $offset = $url_array[4]
if(isset( $DeleteSelected) &&isset( $formDelete)) | $surveyCount = eZSurvey::numberOfSurveys()
if(! is_numeric($offset)) | $surveyList = eZSurvey::getAll( "ID", $offset, $surveyListLimit )
if(count($surveyList)==0) | else

## Variable Documentation

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 10 of file admin/surveylist.php.

## ◆ $Language

$Language = $ini->variable( "eZSurveyMain", "Language" )

Definition at line 11 of file admin/surveylist.php.

## ◆ $offset

$offset = $url_array[4]

Definition at line 26 of file admin/surveylist.php.

## ◆ $surveyCount

if (isset($DeleteSelected) &&isset($formDelete)) $surveyCount = eZSurvey::numberOfSurveys()

Definition at line 39 of file admin/surveylist.php.

## ◆ $surveyList

if (! is_numeric( $offset)) $surveyList = eZSurvey::getAll( "ID", $offset, $surveyListLimit )

Definition at line 46 of file admin/surveylist.php.

## ◆ $surveyListLimit

$surveyListLimit = $ini->variable( "eZSurveyMain", "SurveyListLimit" )

Definition at line 24 of file admin/surveylist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezsurvey/admin/" . $ini->variable( "eZSurveyMain", "AdminTemplateDir" ),
"kernel/ezsurvey/admin/intl", $Language, "surveylist.php" )
$Language
$Language
Definition: admin/surveylist.php:11
$ini
$ini
Definition: admin/surveylist.php:10
eZTemplate
Definition: eztemplate.php:107

Definition at line 13 of file admin/surveylist.php.

## ◆ else

if (count( $surveyList)==0) else

Initial value:
{
$i = 0
$i
$i
Definition: admin/adlist.php:91

Definition at line 52 of file admin/surveylist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.